Bug 478648 - xrdb's misleading warnings concerning terminating ' and " chars
xrdb's misleading warnings concerning terminating ' and " chars
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 14:22 EST by Tomáš Windsor
Modified: 2009-12-18 02:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:27:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Windsor 2009-01-02 14:22:10 EST
Description of problem:
The xrdb utility's algorithm that checks for missing terminating ' and " chars is not correct which may result in misleading warnings. One such case is commented lines containing odd number of ' or " chars, another case is input such as the one below containing an apostrophe where one of the " chars is considered to be inside another '' string:
XTerm*vt100.translations: #override \
	Alt <Key>': string(0x1b) string("A_'")\n\

Note that all actually works as it should, except for the warning.

Version-Release number of selected component (if applicable):
7.4-3.fc10

How reproducible:
Run xrdb with input containing described content.

Steps to Reproduce:
1. echo "! This is a comment line.  Let's ignore it." | xrdb
  
Actual results:
<stdin>:1:31: warning: missing terminating ' character

Expected results:
No warnings.

Additional info:
Comment 1 Matěj Cepl 2009-01-07 18:59:08 EST
I don't think there should be \ in the end of the string (after \n), but otehrwise can fully reproduce with xorg-x11-server-utils-7.4-3.fc10.i386
Comment 2 Tomáš Windsor 2009-01-08 07:17:16 EST
The trailing \ is likely irrelevant to this bug. I left it there only because I quoted from bigger file, where this line wasn't the last one.
Comment 3 Bug Zapper 2009-11-18 07:42:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:27:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.